# Para poder tener valores por default en variables de ambiente se puede seguir el siguiente formato
# ${ENV_VAR_NAME:default_value}

# Habilita endpoint de salud del servicio.
management.endpoint.info.health=true

server.port=${SERVICE_PORT}
#DataBase
spring.datasource.url=${DB_URL}
spring.datasource.username=${DB_USERNAME}
spring.datasource.password=${DB_PASSWORD}
#Liquibase
spring.liquibase.change-log=classpath:db/changelogMaster.xml
spring.liquibase.url=${DB_URL}
spring.liquibase.liquibase-schema=${DB_SCHEMA}
spring.jpa.hibernate.ddl-auto=validate
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
#Tomcat
server.tomcat.max-threads=${MAX_REST_THREADS:10}